Retrieve a single person
Retrieves detailed information about a single person (employee, contractor, or worker) in the organization by their HRIS profile OID, including personal details, employment information, organizational structure, direct manager and reports, custom fields, and related metadata.
Token scopes: people:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
hris_profile_id
Unique identifier for the person.
Query parameters
include_custom_fields
Include custom fields in the response.
include_worker_relations
Include worker relations in the response.
Response
Successful response
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error